# QGraphicsSceneResizeEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneResizeEvent()

### Constructor Properties

- prototype: The QGraphicsSceneResizeEvent prototype object

### Prototype Object Properties

The QGraphicsSceneResizeEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- QSizeF newSize()
- QSizeF oldSize()
- void setNewSize(QSizeF size)
- void setOldSize(QSizeF size)

### Instance Properties

QGraphicsSceneResizeEvent objects have no special properties beyond those inherited from the QGraphicsSceneResizeEvent prototype object.